<!--	API Hook Function Return Codes.
		Common across C, Perl and Rexx.
 -->

<blockquote>
<table>
<tr><th align=left>Symbolic Name<th align=left>Value<th align=left>Explanation
<tr><td>HOOK_OK						<td>0	<td>Executed OK without error.
<tr><td>HOOK_NO_ACTION				<td>1	<td>Executed OK, but took no action.
<tr><td>HOOK_CALL_AGAIN				<td>2	<td>Executed OK, and can call again.
<tr><td>HOOK_ERROR					<td>3	<td>Had an error, and set StatusCode for relaying to remote Client.
<tr><td>HOOK_ABORT_CONNECTION		<td>4	<td>Had an error, break the connection.
<tr><td>HOOK_ABORT_SERVER			<td>5	<td>Had an error, suggest reloading the server.
<tr><td>HOOK_NOT_FOUND				<td>6	<td>Had an error, could not find the requested executable object.
<tr><td>HOOK_EXCEPTION				<td>7	<td>Had an error, trapped an exception.
</table>
</blockquote>

