/* Add a user to a given realm and group */

parse arg realm user password group admin_user admin_password

if realm = "?" | realm = "/?" | length(realm) = 0 | length(user) = 0 then do
	say "Utility to Add a New User to a PowerWeb Server++ User Database."
	say ""
	say "Usage:     AddUG Realm NewUserName NewUserPassword NewGroupName [AdminName [AdminPassword]]"
	say ""
	say "Example 1: AddUG admin joe abc finance"
	say "Example 2: AddUG admin joe abc finance admin secret"
	say ""
	say "If the admin user name is omitted, it defaults to 'admin'."
	say "If the admin user password is omitted, it defaults to empty."
	return
end

if length(admin_user) = 0 then
	admin_user = 'admin'

http = '/!usermgr?Realm='realm'&user='user'&password='password'&verify='password'&group='group'&alias=&file=&Submit=Add'

call CallHTTP http, admin_user, admin_password, "User Results", "Copyright"

return

